Skip to main content
`Ctrl`+`K`

# TSForwardSetInitialSensitivities

Set initial values for tangent linear sensitivities

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSForwardSetInitialSensitivities(TS ts, Mat didp)

Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- didp - parametric sensitivities of the initial condition

## Notes

`TSSolve()` allows users to pass the initial solution directly to `TS`. But the tangent linear variables cannot be initialized in this way. This function is used to set initial values for tangent linear variables.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSForwardSetSensitivities()`

## Level

intermediate

## Location

src/ts/interface/sensitivity/tssen.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages